Skip to content

Aritma Banking API (v3)

Languages
Servers
Mock server
https://developer.aritma.com/_mock/apis/banking/v3/openapi/bankservice-openapi
Open Banking API
https://bankservice.zdata.no
Open Banking API (Dev)
https://bankservicedemo.zdata.no

Account

Operations

AccountGroup

Operations

Balance

Operations

Company

Operations

EventGridDeadLetter

Operations

EventGridSubscription

Operations

Onboarding

Operations

Payment

Operations

Receivable

Operations

Recipients

Operations

Services

Operations

Statement

Operations

Returns bank statements for a given company. All statements are given in aggregated form, to get detailed transactions use the transactions link

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required
Query
accountNostring

Optional filtering on account number

Default ""
fromDatestring(date-time)

Timeframe limitation, must be provided together with toDate

toDatestring(date-time)

Timeframe limitation, must be provided together with fromDate

stateinteger(int32)(BankStatementState)

Optional filtering on transaction state, state can be used to avoid downloading statements twice, use state link (PUT) to set state

Enum012
No request payload

Responses

OK

Body
statementsArray of objects or null(BankStatement)
Response
{
  "Statements": [
    {
      "StatementId": "4809d07b-f9c7-4275-900c-dc33b696221b",
      "Name": "Donal Duck",
      "AccountNumber": "123456789012",
      "AccountCurrency": "NOK",
      "ArchiveReference": "121212",
      "BankInformation": "NO124123 23123",
      "StructuredReference": "123123",
      "Amount": 55,
      "AmountCurrency": "NOK",
      "Description": "Description",
      "BookingDate": "2026-03-07T04:42:18.2779723+01:00",
      "ValueDate": "2026-03-07T04:42:18.2779741+01:00",
      "BankTransactionCodes": "PMNT-ICDT-DMCT",
      "EntryReference": "123123",
      "TransactionCount": 1,
      "Links": [
        {
          "Rel": "details",
          "Href": "https://bankservicedemo.zdata.no/api/v3/statements/c32e6b5b-ca63-48d0-91ab-d5c6cb781737/7eeda2b9-e57e-49e3-8591-f3fc2cad2cd7/transactions"
        },
        {
          "Rel": "state",
          "Href": "https://bankservicedemo.zdata.no/api/v3/statements/c32e6b5b-ca63-48d0-91ab-d5c6cb781737/7eeda2b9-e57e-49e3-8591-f3fc2cad2cd7/state"
        }
      ]
    }
  ]
}

Returns bank statements for a given id in aggregated form. To get detailed transactions use the transactions link

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required

The company id

entryIdstring(uuid)required

The entry id

No request payload

Responses

OK

Body
statementIdstring or null(uuid)
namestring or null

Owner of the account

accountNumberstringnon-emptyrequired

Account

accountCurrencystringnon-emptyrequired

Account currency code

archiveReferencestringnon-emptyrequired

Bank reference

bankInformationstring or null

Bank information

structuredReferencestring or null

KID, FIC, OCR (SCOR reference)

amountnumber(double)required

Payment amount or fee amount

amountCurrencystring or null

Currency of amount

descriptionstring or null

Unstructured reference (payment message)

bookingDatestring(date-time)required

Processed date

valueDatestring(date-time)required

Exchange date

bankTransactionCodesstring or null

Bank Transaction Codes Domain, Family and Sub-Familiy, dash separated.

entryReferencestring or null

This is a reference set on the statement entry level

transactionCountinteger(int32)

Number of transactions associated with this statement

linksArray of objects or null(ApiLink)
Response
{
  "StatementId": "0f1bd468-d8fa-437f-8545-b1bcd2238dd2",
  "Name": "Donal Duck",
  "AccountNumber": "123456789012",
  "AccountCurrency": "NOK",
  "ArchiveReference": "121212",
  "BankInformation": "NO124123 23123",
  "StructuredReference": "123123",
  "Amount": 55,
  "AmountCurrency": "NOK",
  "Description": "Description",
  "BookingDate": "2026-03-07T04:42:18.2788933+01:00",
  "ValueDate": "2026-03-07T04:42:18.2788951+01:00",
  "BankTransactionCodes": "PMNT-ICDT-DMCT",
  "EntryReference": "123123",
  "TransactionCount": 1,
  "Links": [
    {
      "Rel": "details",
      "Href": "https://bankservicedemo.zdata.no/api/v3/statements/c32e6b5b-ca63-48d0-91ab-d5c6cb781737/7eeda2b9-e57e-49e3-8591-f3fc2cad2cd7/transactions"
    },
    {
      "Rel": "state",
      "Href": "https://bankservicedemo.zdata.no/api/v3/statements/c32e6b5b-ca63-48d0-91ab-d5c6cb781737/7eeda2b9-e57e-49e3-8591-f3fc2cad2cd7/state"
    }
  ]
}

Returns all transactions for a given statement.

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required

Id of company that owns the statement

entryIdstring(uuid)required

Unique statement entry id

No request payload

Responses

OK

Body
statementIdstring or null(uuid)
transactionsArray of objects or null(BankStatementTransaction)
Response
{
  "StatementId": "4639b24b-b57e-481a-9269-a34868d40e3a",
  "Transactions": [
    {
      "StatementId": "e97a50cf-f5eb-4f9e-9ccb-bc11d6263444",
      "Name": "Some name",
      "AccountNumber": "1233456",
      "AccountCurrency": "NOK",
      "ArchiveReference": "12345677",
      "BankInformation": "123123",
      "StructuredReference": "31231231",
      "Amount": 56,
      "AmountCurrency": "NOK",
      "Description": "Description",
      "BookingDate": "2026-03-07T04:42:18.2798354+01:00",
      "BankTransactionCodes": "PMNT-ICDT-DMCT",
      "Type": "Debit",
      "TransactionId": "8377729f-207d-44b9-b153-a99498bd4744",
      "InvoiceNumber": "123345",
      "ReceiverName": "Donald Duck",
      "ReceiverAccount": "123445678978",
      "SenderName": "Dolly Duck",
      "SenderAccount": "098765432112",
      "UnstructuredText": {
        "Ustrd": [],
        "AddtlTxInf": [],
        "InstrId": [
          "InstrId A, InstrId B"
        ],
        "PrtryCd": [],
        "AddtlNtryInf": [
          "AddtlNtryInf Text"
        ]
      }
    }
  ]
}

Updates state of all transactions for a given statement.

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required

Id of company that owns the statement

statementIdstring(uuid)required

Unique StatementId

Body

Update request

stateinteger(int32)(BankStatementState)required

BankStatementState

  • 0 - Created
  • 1 - Transferred
  • 2 - Error
Enum012
errorMessagestring or null

Error message (used if State is set to Error)

{ "state": 0, "errorMessage": "string" }

Responses

OK

Body
statementIdstring(uuid)
companyIdstring(uuid)
updatedTransactionsArray of strings or null(uuid)
Response
No response example

Returns all transactions for a given statement.Deprecated

Request

Renamed to /{companyId}/entries/{entryId}/transactions

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required

Id of company that owns the statement

statementIdstring(uuid)required

Unique StatementId

No request payload

Responses

OK

Body
statementIdstring or null(uuid)
transactionsArray of objects or null(BankStatementTransaction)
Response
{
  "StatementId": "c0c2f29c-6af2-4897-940f-74b53d895cde",
  "Transactions": [
    {
      "StatementId": "324e26c7-ea03-4a0f-a1de-dede07a53079",
      "Name": "Some name",
      "AccountNumber": "1233456",
      "AccountCurrency": "NOK",
      "ArchiveReference": "12345677",
      "BankInformation": "123123",
      "StructuredReference": "31231231",
      "Amount": 56,
      "AmountCurrency": "NOK",
      "Description": "Description",
      "BookingDate": "2026-03-07T04:42:18.2796091+01:00",
      "BankTransactionCodes": "PMNT-ICDT-DMCT",
      "Type": "Debit",
      "TransactionId": "edb2ca2e-f60e-4349-8c15-7b7e176e6b6f",
      "InvoiceNumber": "123345",
      "ReceiverName": "Donald Duck",
      "ReceiverAccount": "123445678978",
      "SenderName": "Dolly Duck",
      "SenderAccount": "098765432112",
      "UnstructuredText": {
        "Ustrd": [],
        "AddtlTxInf": [],
        "InstrId": [
          "InstrId A, InstrId B"
        ],
        "PrtryCd": [],
        "AddtlNtryInf": [
          "AddtlNtryInf Text"
        ]
      }
    }
  ]
}

User

Operations